Cancel Detection Session
curl --request POST \
--url https://api.kynasmith.dev/api/detection/sessions/{session_id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kynasmith.dev/api/detection/sessions/{session_id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kynasmith.dev/api/detection/sessions/{session_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accepted_frames_total": 123,
"mode": "live",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_movespec_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "created",
"ended_at": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"error_message": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"terminal_outcome": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}detection
Cancel Detection Session
Transition a detection session into cancelled.
POST
/
api
/
detection
/
sessions
/
{session_id}
/
cancel
Cancel Detection Session
curl --request POST \
--url https://api.kynasmith.dev/api/detection/sessions/{session_id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kynasmith.dev/api/detection/sessions/{session_id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kynasmith.dev/api/detection/sessions/{session_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accepted_frames_total": 123,
"mode": "live",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_movespec_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "created",
"ended_at": "2023-11-07T05:31:56Z",
"error_code": "<string>",
"error_message": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"terminal_outcome": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
BearerAccessTokenBearerAccessToken
Backend-issued machine access token for project-scoped API access.
Headers
Path Parameters
Response
Successful Response
Persisted customer detection-session resource.
Total number of accepted frames for the session.
Runtime mode for the session.
Available options:
live, replay Owning organization identifier.
Owning project identifier.
Resolved immutable MoveSpec version for customer runtime.
Detection session identifier.
Current session lifecycle state.
Available options:
created, streaming, finalizing, completed, failed, cancelled Timestamp when the session became terminal.
Top-level terminal error code when present.
Top-level terminal error message when present.
Timestamp when streaming began.
Terminal outcome summary when the session ends.